hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mingjie Lai (Updated) (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HBASE-5514) Compile against hadoop 0.24-SNAPSHOT
Date Sun, 04 Mar 2012 05:58:02 GMT

     [ https://issues.apache.org/jira/browse/HBASE-5514?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Mingjie Lai updated HBASE-5514:
-------------------------------

    Description: 
Need to compile hbase against the latest hadoop trunk which just had NN HA merged in. 

1) add a hadoop 0.24 profile

2) HBASE-5480

3) HADOOP-8124 removed deprecated Syncable.sync(). It brings compile errors for hbase against
hadoop trunk(0.24). TestHLogSplit and TestHLog still call the deprecated sync(). Need to replace
it with hflush() so the compilation can pass. 

  was:HADOOP-8124 removed deprecated Syncable.sync(). It brings compile errors for hbase against
hadoop trunk(0.24). TestHLogSplit and TestHLog still call the deprecated sync(). Need to replace
it with hflush() so the compilation can pass. 

        Summary: Compile against hadoop 0.24-SNAPSHOT  (was: Minor fixes to compile against
Hadoop 0.24-SNAPSHOT: replace deprecated Syncable.sync())

@Zhihong, thanks for pointing it out. I thought hadoop hflush() was brought at 0.20, but actually
0.21. 

As Zhihong mentioned, the scope is broader than I originally expected.

Rename the title from ``Minor fixes to compile against Hadoop 0.24-SNAPSHOT: replace deprecated
Syncable.sync()'' -> ``Compile against hadoop 0.24-SNAPSHOT''.
                
> Compile against hadoop 0.24-SNAPSHOT
> ------------------------------------
>
>                 Key: HBASE-5514
>                 URL: https://issues.apache.org/jira/browse/HBASE-5514
>             Project: HBase
>          Issue Type: Bug
>          Components: build, test
>    Affects Versions: 0.92.0, 0.94.0
>            Reporter: Mingjie Lai
>            Assignee: Mingjie Lai
>            Priority: Minor
>             Fix For: 0.94.0
>
>         Attachments: HBASE-5514-2.patch, HBASE-5514.patch
>
>
> Need to compile hbase against the latest hadoop trunk which just had NN HA merged in.

> 1) add a hadoop 0.24 profile
> 2) HBASE-5480
> 3) HADOOP-8124 removed deprecated Syncable.sync(). It brings compile errors for hbase
against hadoop trunk(0.24). TestHLogSplit and TestHLog still call the deprecated sync(). Need
to replace it with hflush() so the compilation can pass. 

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message